build.sh 996 B

1234567891011121314151617181920212223242526272829303132
  1. #!/bin/bash
  2. #判断node.js mvn是否存在
  3. command -v npm >/dev/null 2>&1 || { echo >&2 "I require node.js v14.16.0+ but it's not installed. Aborting."; sleep 5; exit 1; }
  4. command -v mvn >/dev/null 2>&1 || { echo >&2 "I require maven 3.5 + but it's not installed. Aborting."; sleep 5; exit 1; }
  5. cd `dirname $0`
  6. BuildDir=`pwd` #工程根目录
  7. echo "build web"
  8. cd $BuildDir/report-ui
  9. npm install >/dev/null 2>&1
  10. npm run build:prod >/dev/null 2>&1
  11. echo "publish web to springboot src/main/resources/static"
  12. mkdir -p $BuildDir/report-core/src/main/resources/static
  13. mv $BuildDir/report-ui/dist/* $BuildDir/report-core/src/main/resources/static/
  14. echo "build springboot"
  15. cd $BuildDir/report-core
  16. mvn clean >/dev/null 2>&1
  17. mvn package -Dmaven.test.skip=true >/dev/null 2>&1
  18. echo "zip finish in build dir"
  19. if [ ! -d "$BuildDir/build" ]; then
  20. mkdir $BuildDir/build
  21. fi
  22. mv $BuildDir/report-core/target/aj-report-*.zip $BuildDir/build/
  23. rm -rf $BuildDir/report-core/src/main/resources/static/*